#!/usr/bin/perl

use IAMd;

my $remote_host = "localhost";
my $remote_port = "1077";
my $protocol = "tcp";
my $answer;
my $configdir = "/etc/IAM";

open (PADDING, "$configdir/OTP_clientpad");
my $padding = <PADDING>;
close (PADDING);
wait;

$iamd = eval { IAMd->new($remote_host, $remote_port, "plaintext", $padding); };
#$iamd->debug_on;
$iamd->connect || die "Couldnt connect\n";
print "***********************************************************************************\n";
print "Updating current user:   ".$iamd->request("update_currentuser","Changer")."\n";
print "Current version of IAMd: ".$iamd->request("version")."\n";

### CREATE THE NEW USER:
print "Add New User:            ".$iamd->request("add_user","Joe", "Schmoe", "user\@domain.com")."\n";

### MOVE THE ACCOUNTS TO THE NEW USER:
print "Moving Dialup:           ".$iamd->request("modify_account","domain.com","DIALUP","userdifferentspelling\@domain.com","userdifferentspelling\@domain.com",
                                                 "user\@domain.com","","") . "\n";
print "Moving Mail:             ".$iamd->request("modify_account","domain.com","MAIL","userdifferentspelling\@domain.com","userdifferentspelling\@domain.com",
                                                 "user\@domain.com","","") . "\n";
print "Moving Personal Web:     ".$iamd->request("modify_account","domain.com","PERSONALWEB","userdifferentspelling\@domain.com","userdifferentspelling\@domain.com",
                                                 "user\@domain.com","","") . "\n";

### CHANGE THE ACCOUNTS NAMES:
print "Changing Dialup:         ".$iamd->request("modify_account","domain.com","DIALUP","user\@domain.com","userdifferentspelling\@domain.com",
                                                 "","user\@domain.com","") . "\n";
print "Changing Mail:           ".$iamd->request("modify_account","domain.com","MAIL","user\@domain.com","userdifferentspelling\@domain.com",
                                                 "","user\@domain.com","") . "\n";
print "Changing Personal Web:   ".$iamd->request("modify_account","domain.com","PERSONALWEB","user\@domain.com","userdifferentspelling\@domain.com",
                                                 "","user\@domain.com","") . "\n";
### DELETE THE OLD USER:
print "Delete Old User:         ".$iamd->request("delete_user","userdifferentspelling\@domain.com")."\n";

print "***********************************************************************************\n";

$iamd->disconnect;
exit;
