#!/usr/bin/perl

use IAMd;

my $remote_host = "localhost";
my $remote_port = "1077";
my $protocol = "tcp";
my $answer;
my $configdir = "/etc/IAM";

# Grab the password to talk with the IAM Master Daemon
open (PADDING, "$configdir/OTP_clientpad");
my $padding = <PADDING>;
close (PADDING);
wait;

$iamd = eval { IAMd->new($remote_host, $remote_port, "ssl", $padding); };
#$iamd->debug_on;
eval { $iamd->connect; };
if ($@) {
  print "Connection of IAM daemon failed\n";
}
print "***********************************************************************************\n";
print "Display account Joe:      \n";
$result = $iamd->request("display_user","joe@domain.com");
if ($result =~ /0.*/) {
  @resultarray = $iamd->arrayofhashes($result);
  foreach $hashref (@resultarray) {
    foreach $key (keys %{$hashref}) {
      if ($key =~ /\0/) {
        print "                           *****************************************\n";
      }
      else {
        print "                           Key: $key Value: $hashref->{$key}\n";
      }
    }
  }
}
else { print $result."\n"; }
print "***********************************************************************************\n";

$iamd->disconnect;
exit;
